Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/depositResult.component.ts	(revision 46415)
@@ -7,6 +7,7 @@
 import { SearchDataprovidersService } from '../services/searchDataproviders.service';
 
 import {OrganizationService} from '../services/organization.service';
+import { Meta} from '../../angular2-meta';
 
 import {RouterHelper} from '../utils/routerHelper.class';
 
@@ -112,7 +113,7 @@
     constructor (private _router: Router,
         private  route: ActivatedRoute,
         private _searchDataprovidersService: SearchDataprovidersService,
-        private _organizationService: OrganizationService) {
+        private _organizationService: OrganizationService, private _meta: Meta) {
             console.info("depositResult constructor");
 
             this.zenodo = OpenaireProperties.getZenodoURL();
@@ -119,9 +120,21 @@
             this.fetchDataproviders = new FetchDataproviders(this._searchDataprovidersService);
 
             this.status = this.errorCodes.LOADING;
-            console.info("loading");
-    }
+            this.updateTitle("Deposit "+this.requestFor);
+            this.updateDescription("Openaire,  repositories, open access,  data provider, compatibility, organization, deposit "+ this.requestFor);
+        }
+        updateDescription(description:string){
+          this._meta.updateMeta("description", description);
+          this._meta.updateMeta("og:description", description);
+        }
+        updateTitle(title:string){
+          var _suffix ="| OpenAIRE";
+          var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+          this._meta.setTitle(_title );
+          this._meta.updateMeta("og:title",_title);
+        }
 
+
     ngOnInit() {
         console.info('depositResult init');
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/deposit/deposit.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/deposit/deposit.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/deposit/deposit.component.ts	(revision 46415)
@@ -2,6 +2,7 @@
 import {Observable}       from 'rxjs/Observable';
 import { Router } from '@angular/router';
 import {OpenaireProperties, ErrorCodes} from '../utils/properties/openaireProperties';
+import { Meta} from '../../angular2-meta';
 
 
 @Component({
@@ -63,7 +64,7 @@
     public selectedId: string = "";
     public warningMessage: string = "";
 
-    constructor (private _router: Router) {
+    constructor (private _router: Router, private _meta: Meta) {
 
         this.openAccess = OpenaireProperties.getOpenAccess();
         this.openAccessRepo = OpenaireProperties.getOpenAccessRepo();
@@ -71,17 +72,28 @@
         this.h2020Guidlines = OpenaireProperties.getH2020Guidlines();
         this.ercGuidlines = OpenaireProperties.getERCGuidlines();
         this.helpdesk = OpenaireProperties.getHelpdesk();
+        this.updateTitle("Deposit "+this.requestFor);
+        this.updateDescription("Openaire,  repositories, open access,  data provider, compatibility, organization, deposit "+ this.requestFor);
     }
+    updateDescription(description:string){
+      this._meta.updateMeta("description", description);
+      this._meta.updateMeta("og:description", description);
+    }
+    updateTitle(title:string){
+      var _suffix ="| OpenAIRE";
+      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      this._meta.setTitle(_title );
+      this._meta.updateMeta("og:title",_title);
+    }
 
 
-
     organizationSelected(id: string) {
         console.info("organization selected");
         if(id && id.length > 0){
             if(this.requestFor == "Publications") {
-                this._router.navigate( ['deposit-publications-result'], { queryParams: { "organizationId": id } } );
+                this._router.navigate( ['participate/deposit-publications-result'], { queryParams: { "organizationId": id } } );
             } else if(this.requestFor == "Research Data") {
-                this._router.navigate( ['deposit-datasets-result'], { queryParams: { "organizationId": id } } );
+                this._router.navigate( ['participate/deposit-datasets-result'], { queryParams: { "organizationId": id } } );
             }
         } else {
             this.warningMessage = "No organization selected";
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsAdmin/claimsAdmin.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsAdmin/claimsAdmin.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/claimsAdmin/claimsAdmin.component.ts	(revision 46415)
@@ -10,7 +10,7 @@
           <h1> Claims Administrator </h1>
       </div>
       <div>
-        <div class="uk-text-right"><a  routerLink="/linking">Add more Links?</a></div>
+        <div class="uk-text-right"><a  routerLink="/participate/claim">Add more Links?</a></div>
         <displayClaims enableDelete="false" myClaims="false" isAdim="true"></displayClaims>
       </div>
     </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claims/myClaims/myClaims.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claims/myClaims/myClaims.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claims/myClaims/myClaims.component.ts	(revision 46415)
@@ -11,7 +11,7 @@
           <h1> My Linked research resutls</h1>
       </div>
       <div>
-        <div class="uk-text-right"><a  routerLink="/linking">Add more Links?</a></div>
+        <div class="uk-text-right"><a  routerLink="/participate/claim">Add more Links?</a></div>
         <displayClaims enableDelete="false"  myClaims="true" isAdmin="false" [fetchId]="user" ></displayClaims>
       </div>
     </div>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/app.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/app.module.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/app.module.ts	(revision 46415)
@@ -10,8 +10,8 @@
 import {SharedComponentsModule} from './sharedComponents/sharedComponents.module'; //navbar
 import { ErrorModule } from './error/error.module';
 import { CacheService } from './shared/cache.service';
+import { CookieLawModule } from './sharedComponents/cookie-law/cookie-law.module';
 
-
 @NgModule({
   declarations: [ AppComponent, XLargeDirective ],
   imports: [
@@ -19,7 +19,8 @@
 
     SharedComponentsModule,
     AppRoutingModule,
-    ErrorModule
+    ErrorModule,
+    CookieLawModule
   ], exports:[], providers:[CacheService]
 })
 export class AppModule {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.component.ts	(revision 46415)
@@ -3,9 +3,9 @@
 import {DataProviderService} from './dataProvider.service';
 import {DataProviderInfo} from '../../utils/entities/dataProviderInfo';
 import {ActivatedRoute} from '@angular/router';
+import { Meta} from '../../../angular2-meta';
 
 import{TabsComponent} from './tabs.component';
-
 @Component({
     selector: 'dataprovider',
      templateUrl: 'dataProvider.component.html',
@@ -14,8 +14,9 @@
  })
 
 export class DataProviderComponent {
-   constructor (private _dataproviderService: DataProviderService, private route: ActivatedRoute) {
-
+   constructor (private _dataproviderService: DataProviderService, private route: ActivatedRoute, private _meta: Meta) {
+     this.updateTitle("Data provider");
+     this.updateDescription("Data provider, search, repositories, open access");
   }
   ngOnInit() {
     this.sub =  this.route.queryParams.subscribe(data => {
@@ -63,6 +64,8 @@
       this._dataproviderService.getDataproviderInfo(this.datasourceId).subscribe(
         data => {
             this.dataProviderInfo = data;
+            this.updateTitle(this.dataProviderInfo.title.name);
+            this.updateDescription("Data provider, search, repositories, open access,"+this.dataProviderInfo.title.name);
             // console.info(this.dataProviderInfo.resultsBy);
         },
         err => {
@@ -73,4 +76,14 @@
       );
     }
    }
+   updateDescription(description:string){
+     this._meta.updateMeta("description", description);
+     this._meta.updateMeta("og:description", description);
+   }
+   updateTitle(title:string){
+     var _suffix ="| OpenAIRE";
+     var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+     this._meta.setTitle(_title );
+     this._meta.updateMeta("og:title",_title);
+   }
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataset/dataset.component.ts	(revision 46415)
@@ -5,6 +5,7 @@
 import {ActivatedRoute} from '@angular/router';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties'
 import {RouterHelper} from '../../utils/routerHelper.class';
+import { Meta} from '../../../angular2-meta';
 
 @Component({
     selector: 'dataset',
@@ -38,12 +39,14 @@
     public errorMessage = "";
     public routerHelper:RouterHelper = new RouterHelper();
 
-    constructor (private _datasetService: DatasetService, private  route: ActivatedRoute) {}
+    constructor (private _datasetService: DatasetService, private  route: ActivatedRoute, private _meta: Meta) {}
 
     ngOnInit() {
       this.sub =  this.route.queryParams.subscribe(params => {
         this.datasetId = params['datasetId'];
          console.info("Id is :"+this.datasetId);
+         this.updateTitle("Dataset");
+         this.updateDescription("Dataset, search, open access");
          if(this.datasetId){
             this.getDatasetInfo(this.datasetId);
         }else{
@@ -68,7 +71,8 @@
         this._datasetService.getDatasetInfo(id).subscribe(
             data => {
                 this.datasetInfo = data;
-
+                this.updateTitle(this.datasetInfo.title.name);
+                this.updateDescription("Dataset, search, repositories, open access,"+this.datasetInfo.title.name);
                 this.result = []
                 this.result = {id: id, type :"dataset", source : "openaire", title: this.datasetInfo.title,url: '', result: '', accessRights: this.datasetInfo.bestlicense, embargoEndDate: ''};
 
@@ -97,4 +101,14 @@
       this.totalViews = $event.totalViews;
       this.totalDownloads = $event.totalDownloads;
     }
+    updateDescription(description:string){
+      this._meta.updateMeta("description", description);
+      this._meta.updateMeta("og:description", description);
+    }
+    updateTitle(title:string){
+      var _suffix ="| OpenAIRE";
+      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      this._meta.setTitle(_title );
+      this._meta.updateMeta("og:title",_title);
+    }
 }
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/organization/organization.component.ts	(revision 46415)
@@ -9,7 +9,7 @@
 import {SearchPublicationsService} from '../../services/searchPublications.service';
 import {SearchDataprovidersService} from '../../services/searchDataproviders.service';
 import {SearchProjectsService} from '../../services/searchProjects.service';
-
+import { Meta} from '../../../angular2-meta';
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
 import {SearchingProjectsTabComponent} from '../searchingProjectsInTab.component';
 import {RouterHelper} from '../../utils/routerHelper.class';
@@ -61,8 +61,9 @@
                  private _searchDataprovidersService: SearchDataprovidersService,
                  private _reportsService: ReportsService,
                  private _searchPublicationsService: SearchPublicationsService,
-                 private _searchProjectsService: SearchProjectsService) {
-
+                 private _searchProjectsService: SearchProjectsService, private _meta: Meta) {
+                   this.updateTitle("Organization");
+                   this.updateDescription("Organization, country, projects,  search, repositories, open access");
             console.info('organization constructor');
             this.fetchDataproviders = new FetchDataproviders(this._searchDataprovidersService);
     }
@@ -119,7 +120,8 @@
                     this.errorMessage = 'No organization found';
                 } else {
                     this.organizationInfo = data;
-
+                    this.updateTitle(this.organizationInfo.title.name);
+                    this.updateDescription("Organization, country, projects,  search, repositories, open access"+this.organizationInfo.title.name);
                     let projectsNum = 0;
                     if(this.organizationInfo.projects != undefined) {
                          this.fundersSet = new Set<string>();
@@ -315,6 +317,16 @@
       //           error => console.log("Error getting number of publications for project."));
         // }//);
     }
+    updateDescription(description:string){
+      this._meta.updateMeta("description", description);
+      this._meta.updateMeta("og:description", description);
+    }
+    updateTitle(title:string){
+      var _suffix ="| OpenAIRE";
+      var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+      this._meta.setTitle(_title );
+      this._meta.updateMeta("og:title",_title);
+    }
 
     public openLoading(){
       if(this.loading){
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.component.ts	(revision 46414)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/person/person.component.ts	(revision 46415)
@@ -10,6 +10,7 @@
 import { SearchDatasetsService } from '../../services/searchDatasets.service';
 
 import {OpenaireProperties} from '../../utils/properties/openaireProperties';
+import { Meta} from '../../../angular2-meta';
 
 @Component({
     selector: 'person',
@@ -35,7 +36,10 @@
     constructor (private _personService: PersonService,
                  private  route: ActivatedRoute,
                  private _searchPublicationsService: SearchPublicationsService,
-                 private _searchDatasetsService: SearchDatasetsService) {
+                 private _searchDatasetsService: SearchDatasetsService, private _meta: Meta) {
+                   this.updateTitle("Person");
+                   this.updateDescription("person, publication, research data, search, open access");
+
             console.info('person constructor');
             this.fetchPublications = new FetchPublications( this._searchPublicationsService);
             this.fetchDatasets = new FetchDatasets( this._searchDatasetsService);
@@ -49,7 +53,7 @@
            if(this.personId){
               this.fetchPersonInfo();
               this.searchPublications();
- 
+
           }else{
               this.warningMessage="No valid person id";
           }
@@ -97,6 +101,8 @@
         this._personService.getPersonInfo(this.personId).subscribe(
             data => {
                 this.personInfo = data;
+                this.updateTitle(this.personInfo.fullname);
+                this.updateDescription("person, publication, research data, search, open access, "+this.personInfo.fullname);
             },
             err => {
 
@@ -117,4 +123,14 @@
        this.fetchDatasets.getResultsForEntity("person", this.personId, 1, 10);
        this.linkToSearchDatasets = OpenaireProperties.getLinkToAdvancedSearchDatasets();// + "?person=" + this.personId + "&pe=and";
      }
+     updateDescription(description:string){
+       this._meta.updateMeta("description", description);
+       this._meta.updateMeta("og:description", description);
+     }
+     updateTitle(title:string){
+       var _suffix ="| OpenAIRE";
+       var _title = ((title.length> 50 ) ?title.substring(0,50):title) + _suffix;
+       this._meta.setTitle(_title );
+       this._meta.updateMeta("og:title",_title);
+     }
 }
